Summary: SAP CCMS plugins for NetEye
Name: neteye-sap-ccms
Version: 0.8.0
Release: 1
BuildArch: i386
Group: Applications/Productivity
License: GPL
Buildroot: %{_tmppath}/%{name}-root
Packager: Juergen Vigna <juergen.vigna@wuerth-phoenix.com>
Source: sap-ccms-plugin-%{version}.tar.gz
Patch0: check_sap.patch

%description
This are the SAP CCMS plugins for Nagios

%prep
%setup -n sap-ccms-plugin-%{version}

%patch0 -p1

%build
cd src
make
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/sapmon
mkdir -p %{buildroot}/usr/lib/nagios/plugins
cp -a config/*.cfg %{buildroot}/etc/sapmon/
for i in check_sap check_sap_cons check_sap_instance check_sap_instance_cons check_sap_multiple check_sap_mult_no_thr check_sap_system check_sap_system_cons create_cfg sap_change_thr
do
	cp -a src/$i %{buildroot}/usr/lib/nagios/plugins/
done
cp -a src/sap_moni.so %{buildroot}/usr/lib/
cp -a src/libs/x86/librfccm.so %{buildroot}/usr/lib/

%post

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYRIGHT.librfc LICENSE README
%config(noreplace) /etc/sapmon/*.cfg
/usr/lib/sap_moni.so
/usr/lib/librfccm.so
/usr/lib/nagios/plugins/*


%changelog
* Fri Feb 10 2012 Patrick Zambelli <patrick.zambelli@wuerth-phoenix.com> 0.8.0-1
- New sap_ccms version 0.8


